On Tue, 1 Jul 2003, Nabil wrote:
> You need to purchase commercial non-GPL MySQL licenses:
>   a.. If you distribute MySQL Software with your non open source software,
>   b.. If you want warranty from MySQL AB for the MySQL software,
>   c.. If you want to support MySQL development.
> So Why it is not supported with PHP5? and from where i can get the lib??

I guess we need a FAQ.  I am getting tired of answering this.

The GPL is not compatible with Apache/BSD-style licenses.  If you link a
GPL'ed library into a non-GPL'ed application and then redistribute it, or
if you incorporate the code into something and redistribute it, like we
do, then you must put that something under the GPL.  And we don't want to
put PHP under the GPL because that would mean you couldn't link it into
Apache (which sort of defeats the purpose for most people) unless of
course we also got the Apache guys to switch to the GPL.  This is why some
people call the GPL a viral license.

As for where you can get the MySQL library?  It's all over the place.  You
can obviously download it from mysql.com and it comes with every distro
out there.


PHP Database Mailing List (http://www.php.net/)
To unsubscribe, visit: http://www.php.net/unsub.php

Reply via email to